/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package tileworld.environment;

import java.awt.Color;
import sim.portrayal.Portrayal;
import sim.portrayal.simple.RectanglePortrayal2D;
import sim.util.Int2D;

/**
 *
 * @author Jakub
 */
public class TWFloor extends TWObject{
    	/**
	 * @param creationTime
	 * @param deathTime
	 */
	public TWFloor(int x, int y, TWEnvironment env, double creationTime, double deathTime) {
		super(x,y,env,creationTime, deathTime);

	}
        public TWFloor(Int2D pos, TWEnvironment env, double creationTime, double deathTime) {
		super(pos,env,creationTime, deathTime);

	}

         public TWFloor(Int2D pos, TWEnvironment env, Double creationTime, Double deathTime) {
		super(pos,env,creationTime, deathTime);

	}


        public TWFloor() {}
        
                 public static Portrayal getPortrayal(){
        //green filled box.
        return new RectanglePortrayal2D(new Color(210, 210, 210), false);
    }
}
